#!/bin/sh

# Copyright (C) 2023 Karl Landstrom <karl@miasap.se>
#
# This file is part of miasap-gtksourceview.
#
# miasap-gtksourceview is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# miasap-gtksourceview is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with miasap-gtksourceview.  If not, see <http://www.gnu.org/licenses/>.

set -o errexit -o nounset

mkdir -p "$HOME/.local/share/gtksourceview-4/language-specs"
cp -uv gtksourceview-2.0/language-specs/* "$HOME/.local/share/gtksourceview-4/language-specs"
mkdir -p "$HOME/.local/share/gtksourceview-4/styles"
cp -uv gtksourceview-2.0/styles/* "$HOME/.local/share/gtksourceview-4/styles"
